Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class ExtendedColor

    java.lang.Object
      java.awt.Color
          com.lowagie.text.pdf.ExtendedColor

All Implemented Interfaces:
  Paint, Transparency, Serializable

Direct Known Subclasses:
  CMYKColor, GrayColor, PatternColor, ShadingColor, SpotColor

    public abstract class ExtendedColor

extends Color

Author:
  Paulo Soares (psoares@consiste.pt)
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`
`protected int` | `type`
`static int` | `TYPE_CMYK` a type of extended color.
`static int` | `TYPE_GRAY` a type of extended color.
`static int` | `TYPE_PATTERN` a type of extended color.
`static int` | `TYPE_RGB` a type of extended color.
`static int` | `TYPE_SEPARATION` a type of extended color.
`static int` | `TYPE_SHADING` a type of extended color.

Fields inherited from class java.awt.Color
`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`ExtendedColor(int type)` Constructs an extended color of a certain type.
`ExtendedColor(int type, float red, float green, float blue)` Constructs an extended color of a certain type and a certain color.

Method Summary
`int` | `getType()` Gets the type of this color.
`static int` | `getType(Color color)` Gets the type of a given color.
`(package private) static float` | `normalize(float value)`

Methods inherited from class java.awt.Color
`brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### TYPE_RGB

    public static final int TYPE_RGB

  a type of extended color.

  See Also:
    Constant Field Values

### TYPE_GRAY

    public static final int TYPE_GRAY

  a type of extended color.

  See Also:
    Constant Field Values

### TYPE_CMYK

    public static final int TYPE_CMYK

  a type of extended color.

  See Also:
    Constant Field Values

### TYPE_SEPARATION

    public static final int TYPE_SEPARATION

  a type of extended color.

  See Also:
    Constant Field Values

### TYPE_PATTERN

    public static final int TYPE_PATTERN

  a type of extended color.

  See Also:
    Constant Field Values

### TYPE_SHADING

    public static final int TYPE_SHADING

  a type of extended color.

  See Also:
    Constant Field Values

### type

    protected int type

Constructor Detail

### ExtendedColor

    public ExtendedColor(int type)

  Constructs an extended color of a certain type.

  Parameters:
    `type` -

### ExtendedColor

    public ExtendedColor(int type,
                         float red,
                         float green,
                         float blue)

  Constructs an extended color of a certain type and a certain color.

  Parameters:
    `type` -
    `red` -
    `green` -
    `blue` -

Method Detail

### getType

    public int getType()

  Gets the type of this color.

  Returns:
    one of the types (see constants)

### getType

    public static int getType(Color color)

  Gets the type of a given color.

  Parameters:
    `color` -
  Returns:
    one of the types (see constants)

### normalize

    static final float normalize(float value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD